Last Comment Bug 656357 - Startup of Thunderbird with Lightning enabled has become extremely slow
: Startup of Thunderbird with Lightning enabled has become extremely slow
Status: RESOLVED FIXED
: regression
Product: Core
Classification: Components
Component: Widget: Gtk (show other bugs)
: Trunk
: x86 Linux
: -- normal with 1 vote (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-11 10:23 PDT by Ilja Sekler
Modified: 2011-12-13 09:22 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Ilja Sekler 2011-05-11 10:23:02 PDT
User-Agent:       Mozilla/5.0 (X11; Linux i686; rv:6.0a1) Gecko/20110511 Firefox/6.0a1
Build Identifier: Mozilla/5.0 (X11; Linux i686; rv:6.0a1) Gecko/20110511 Thunderbird/3.4a1pre

Something in core has led to a major increase in time Thunderbird with Lightning takes to open. On my hardware 4 seconds with a 2011-05-10-14-comm-central nightly (c-c SourceStamp=11e51879e4f7) vs. approx. 20 seconds with my private build from c-c SourceStamp=a4209b15c186 with a clean new profile.

Reproducible: Always

Steps to Reproduce:
1. Build Thunderbird package from comm-central with --enable-calendar or use an official nightly build > 2011-05-10-14 once it becomes available
2. Extract the content of the package, run thunderbird
3. Install Lightning, restart Thunderbird

Actual Results:  
Thunderbird takes abnormally long to open after Step 3.

Expected Results:  
Startup time doesn't increase significantly, at least not much more than twice as without Lightning (Step 2).

Testing platform: Ubuntu 10.10. If the fix must be in core and not in Lightning, I could try to bisect to find the offending commit.
Comment 1 Ilja Sekler 2011-05-11 12:52:00 PDT
Bisect done, the first "bad" commit is <http://hg.mozilla.org/mozilla-central/rev/bedef853b523> from Bug 513006.
Comment 2 Ilja Sekler 2011-05-11 14:00:43 PDT
Verified by local backout of <http://hg.mozilla.org/mozilla-central/rev/bedef853b523>.

m-c revision: 427fa3603d4c+

c-c revision: a4209b15c186
Comment 3 Ilja Sekler 2011-05-11 23:38:28 PDT
The patch from Bug 513006 has been backed out for another reason <http://hg.mozilla.org/mozilla-central/rev/2b649bafb84a>, so marking this bug as fixed (verified by a local build).
Comment 4 F W Stone 2011-12-13 09:22:12 PST
I just upgraded from 2.0.0.24 to 8.0, 2011.12.08 and the performance is very slow.  With nothing else running it took 21 seconds to start.  Lightning is also an add-on.

My experience does not support the statement that TB is faster.  This is significantly slower that 2.0.0.24

Other issues will be reported separately.  

I would not consider this resolved or fixed in Windows.

System Xp, Sp 3

Note You need to log in before you can comment on or make changes to this bug.